package at.fhj.swd.dailyhelper.db.room;

import android.arch.persistence.room.Database;
import android.arch.persistence.room.Room;
import android.arch.persistence.room.RoomDatabase;
import android.content.Context;

import at.fhj.swd.dailyhelper.model.Weather;

@Database(entities = {Weather.class}, version = 1,exportSchema = false)
public abstract class WeatherDB extends RoomDatabase {

    private static WeatherDB instance;
    public abstract WeatherDAO weatherDAO();




    public static WeatherDB getDatabase(Context context){
        if (instance == null) {
            instance = Room.databaseBuilder(context, WeatherDB.class, "dailyhelper").allowMainThreadQueries().build();
        }
        return instance;
    }
}
